/**
 *
 */
export type TVariables = {
    [key: string]: any;
};
/**
 * Accepts a string, and processes varialbes againt it. Everything within square brackets [] will run through a calculation.
 *
 * @example
 * // returns "Hello, Bob"
 * EvaluateString("Hello, [Name]!", {Name: "Bob"})
 *
 * // returns "1 + SomeValue = 3"
 * EvaluateString("1 + SomeValue = [1 + [SomeValue]]", {SomeValue: 2})
 */
export declare const EvaluateString: (expression: string, variables?: TVariables) => string;
/**
 * Accepts a string, processes variables against the entire string, and returns a boolean if the condition is true or false.
 *
 * @example
 *
 * // returns false
 * EvaluateCondition("1 = SomeValue", {SomeValue: 2})
 *
 * // returns true
 * EvaluateCondition("2 = SomeValue", {SomeValue: 2}) = true
 */
export declare const EvaluateCondition: (expression: string, variables?: TVariables) => boolean;
export declare function StringGetSets(stringItem: string | null, setStart: string, setEnd: string): string[];
